## fwts 16.09.00

=== debian/changelog ===
fwts (16.09.00-0ubuntu4.1) yakkety; urgency=low

  * fix segment fault when running fwts method test (LP: #1635502)
    - remove double pthread_mutex_unlock on method usage thread counter

 -- Colin King <colin.king@canonical.com>  Fri, 21 Oct 2016 09:27:32 +0100

fwts (16.09.00-0ubuntu4) yakkety; urgency=low

  * Makefile.am: include exconcat.c into libfwtsiasl build (LP: #1631354)
    - fixes uninitialized aliased AcpiGbl_OperandCache from libfwtsacpica
      causing AE_NO_MEMORY while evaluating a constant string expression
      because cache was null.

 -- Colin King <colin.king@canonical.com>  Fri, 7 Oct 2016 13:51:31 +0100

fwts (16.09.00-0ubuntu3) yakkety; urgency=low

  [Colin Ian King]
  * debian/control: fwts-efi-runtime-dkms should not depend on
    kernel headers (LP: #1629826)

 -- Andy Whitcroft <apw@ubuntu.com>  Wed, 05 Oct 2016 12:01:47 +0100

fwts (16.09.00-0ubuntu2) yakkety; urgency=medium

  * Build using dpkg-dev's hardening support.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 05 Oct 2016 05:33:08 +0200

fwts (16.09.00-0ubuntu1) yakkety; urgency=low

  [Alex Hung]
  * lib: acpi: add supports for WPBT
  * acpi: wpbt: add ACPI WPBT test
  * fwts-test: Add regression test for WPBT
  * lib: acpi: add supports for DRTM
  * acpi: drtm: add ACPI DRTM test
  * fwts-test: Add regression test for DRTM
  * acpi: remove "Linux-ready Firmware Developer Kit" from license header
  * lib: fwts_guid: add a compare function
  * acpi: nfit: skip SPA Range Structure Index for four GUIDs
  * acpi: nfit: check fields equals 0 for Virtual CD and Disk
  * cpu: msr: change SMRR_PHYSBASE from 8MB boundary to 4KB boundary

  [Colin Ian King]
  * acpica: remove utprint.c, it is not required
  * ACPICA: Remove utfileio.c, it is deprecated and not used
  * ACPICA: Update to version 20160831
  * opal: ensure fdt_node_path buffer is null terminated
  * fwts: treewide: voidify return from close(), closedir() and fclose()
  * lib: fwts_ipmi: fix incorrect memset size

  [Deb McLemore]
  * opal: mtd: Add OPAL MTD Validation
  * acpi: ACPI Platform check updates
  * opal: mtd: Add error exit when no MTD's
  * opal: prd: Improve message when no PRD detected
  * devicetree: dt_sysinfo: Improve message for non-reference model

  [Ivan Hu]
  * efi_runtime: change __usc2_strsize name to distinguish from ucs2_strsize
  * efi_runtime: redefine all uint*_t types by following the header efi.h
  * efi_runtime: exchange the user and local name define
  * efi_runtime: refactor the success and error path
  * efi_runtime: add label to reduce the number of kfree
  * efi_runtime: expand to a full if-conditional instead of using terneary
    operator
  * efi_runtime: add VariableNameSize return when getting the
    EFI_BUFFER_TOO_SMALL
  * efi_runtime: fix memory leak of getvariable funtion
  * efi_runtime: move the checking status forward
  * efi_runtime: clean up some return and alignment code
  * uefirttime: specify enable to true for setwakeuptime wiht null time test

  [Jeffrey Hugo]
  * acpi: fadt: Remove HEADLESS check on reduced hardware
  * pci: aspm: Add segment support
 
 -- Alex Hung <alex.hung@ubuntu.com>  Fri, 09 Sep 2016 09:47:45 +0800

fwts (16.08.01-0ubuntu1) yakkety; urgency=low

  [Colin Ian King]
  * acpica: rename vsnprintf and sprintf in utprint.c to avoid name clash
    conflicts
 
 -- Alex Hung <alex.hung@ubuntu.com>  Thu, 18 Aug 2016 17:46:32 +0800

fwts (16.08.00-0ubuntu1) yakkety; urgency=low

  [Alex Hung]
  * fwts: update .gitignore for files genereated by "make check"
  * acpi: nfit: add ACPI NFIT test
  * fwts-test: Add regression test for NFIT
  * acpi: pcct: fix incorrect printing length for PRIx64
  * lib: acpi: add support for MPST
  * acpi: mpst: add ACPI MPST test
  * fwts-test: Add regression test for MPST
  * lib: acpi: add support for PMTT
  * acpi: pmtt: add ACPI PMTT test
  * fwts-test: Add regression test for PMTT
  * acpi: nfit: change %x to marco PRIx32 for portability
  * auto-packager: mkpackage.sh: remove wily

  [Colin Ian King]
  * acpi: madt: fix memory leak on return paths
  * ACPICA: Update to version 20160729
  * acpi: pmtt: fix incorrect assignment on passed
  * acpi: dmar: fix portability warning from cppcheck on void * cast
  * acpi: dbg2: remove alloca(), replace with variable length array
  * acpi: madt: reduce scope of variable 'listint'
  * acpica: fwts_iasl_interface: reduce scope of variable 'i'
  * lib: fwts_smbios: reduce scope of variable 'mapped_entry'
  * lib: fwts_klog: reduce scope of variable 'old'
  * lib: fwts_iasl: reduce scope of variable 'ret'
  * lib: fwts_cpu: fix missing { } on an if statement
  * devicetree: dt_sysinfo: reduce scope of variables 'model_buf' and
    'compat_buf'
  * cpu: cpufreq: reduce scope of variable 'i'
  * lib: fwts_smbios: fix portability warning from cppcheck on void * cast
  * lib: fwts_alloc: fix portability warnings from cppcheck on void * arithmetic

  [Ivan Hu]
  * efi_runtime: call kfree directly instead of inline wrapper
  * efi_runtime: add datasize return when getting the EFI_BUFFER_TOO_SMALL
  * efi_runtime: fix memory leak of capsulecaps function
  * efi_runtime: clean up some comments and unused code
  * efi_runtime: add chceking the len for reading userspace memory
  * efi_runtime: add checking variable_name input

  [Prarit Bhargava]
  * acpi/nfit: Fix endless loop on broken NFIT tables

  [Ricardo Neri]
  * acpi: bert: do not fail if BERT error region raw_data_length is zero

 -- Alex Hung <alex.hung@ubuntu.com>  Thu, 18 Aug 2016 12:14:11 +0800

fwts (16.07.00-0ubuntu1) yakkety; urgency=low

  [Alex Hung]
  * acpi: method: add _FIT test
  * fwts-test: sync up tests for _FIT method
  * bios: mtrr: check MTRR default memory type
  * acpi: pcct: add ACPI PCCT test
  * fwts-test: Add regression test for PCCT
  * lib: acpi: fix a typo in fwts_acpi.h

  [Colin Ian King]
  * utilities: kernelscan: Add in missing [ ] brackets tokenisation
  * klog: data.json: Add klog checking for kernel NUMA errors from

