=== debian/changelog ===
fwts (17.03.00-0ubuntu1) zesty; urgency=low

  [Alex Hung]
  * dmicheck: update chassis type limit according to SMBIOS 3.0
  * fwts-tests: sync up with the new --sbbr option
  * README: update url of reference guide
  * dmicheck: update type 3, 4, 9 limits according to SMBIOS spec 3.11

  [Colin Ian King]
  * lib: fwts_alloc: move all memory tracking to hash records
  * klog.json: Add some missing ACPI Power Management kernel messages to klog database
  * opal: reduce scope of variable 'prop_buf'
  * lib: fwts_alloc: clear hash table at end of garbage collection
  * lib: fwts_alloc: fix incorrect accounting on hash entry count
  * ACPICA: Update to version 20170224
  * fwts-test: disassemble-0001: sync DSDT output from iasl with recent ACPICA changes
  * acpi: mpst: remove redundant assigments to passed on errors
  * acpi: drtm: remove redundant assigments to passed on errors
  * opal: pci_info: remove redundant assignment to bytes
  * ACPICA: Update to version 20170303
  * lib: fwts_devicetree.h: minor code formatting cleanups
  * opal: make found_dimm static as it is local to just this source
  * opal: minor code style changes

  [Deb McLemore]
  * opal: mem_info check for dimm presence in property

  [Jeffrey Hugo]
  * acpi: acpiinfo: Print minor version where applicable
  * acpi: iort: Add support for SMMUv3

  [Supreeth Venkatesh]
  * sbbr: Add "--sbbr" flag to support running SBBR Tests.
 
 -- Ivan Hu <ivan.hu@ubuntu.com>  Thu, 16 Mar 2017 11:20:20 +0800

fwts (17.02.00-0ubuntu1) zesty; urgency=low

  [Alex Hung]
  * dmicheck: fix mistakes in error messages for SMBIOS type 9

  [Colin Ian King]
  * ACPICA: Update to version 20170119
  * README: update git URL to http://kernel.ubuntu.com/git/hwe/fwts.git/
  * lib: fwts_args: fix arg parameter sanity range checking
  * fwts-test: update arg-help-0001 to sync with help info changes
  * fwts_framework: handle -? option differently from -h
  * uefi/uefirtvariable: fix options check error messages
  * acpi: s3: Add new --s3-resume-hook option
  * clean up missing whitespaces
  * acpi: acpitables: fix indentation, no functional change
  * devicetree: dt_sysinfo: reduce scope of version_buf
  * lib: fwts_acpid: remove re-assignment of ptr to NULL
  * lib: fwts_cpu: force compiler to increment i rather than optimize it out
  * opal: mem_info: remove redundant initialization of prop_string to NULL
  * opal: mem_info: reduce scope of some variables
  * opal: cpu_info: remove redundant initialization of prop_string to NULL
  * opal: cpu_info: reduce scope of some variables
  * opal: pci_info: reduce scope of some variables
  * doc: remove trailing white spaces
  * opal/mtd_info.c: make a couple of functions static to reduce global scope
  * uefi: uefirtmisc: make gEfiCapsuleHeaderGuid static
  * opal: prd_info: make a couple of functions static to reduce global scope
  * ipmi: bmc: make fwts_bmc_info_check static
  * acpi: msdm: make variable table static
  * acpi: slit: make variable table static
  * acpi: fpdt: make variable table static
  * acpi: slic: make variable table static
  * misc: fix various spelling mistakes
  * data: fix some spelling mistakes in klog and olog databases
  * fwts-tests: fix up spelling mistakes in regression tests
  * lib: fwts_olog: ensure buffer is null terminated
  * lib: fwts_pipeio: fix memory leak on zero sized text allocation
  * fwts-alloc: track memory allocations, cleans up 6 coverity scan warnings
  * fwts-alloc: garbage collect hash records
  * klog.json: Add some more kernel messages to klog data base
  * klog.json: Add some EFI driver kernel messages to klog database
  * klog.json: Add some EFI quirk driver kernel messages to klog database
  * klog.json: Add some more EFI driver kernel messages to klog database
  * klog.json: Add some miscellaneous messages to klog database
  * klog.json: fix a couple of klog patterns

  [Deb McLemore]
  * Add README_JSON.txt for FWTS
  * Integrate PPC for FWTS-LIVE Frontend

  [Prarit Bhargava]
  * fedora: Fix location of klog.json file in fwts.spec
  * fedora: Add fedora internal versioning number in fwts.spec
  * fedora: Add fwts.spec.in
  * fedora: Update buildsrpm.sh for dynamic versioning

 -- Alex Hung <alex.hung@ubuntu.com>  Thu, 16 Feb 2017 09:58:33 +0800

fwts (17.01.00-0ubuntu1) zesty; urgency=low

  [Colin Ian King]
  * ACPICA: Update to version 20161222
  * opal: pci_info: minor code style clean-ups, no functional changes
  * update copyright year to 2017
  * fwts-test/arg-help-0001: update log files to match copyright year changes
  * klog.json: Add kernel errors to the database

  [Prarit Bhargava]
  * fedora/fwts.spec: Add initial version of fwts.spec
  * fedora/buildrpm.sh: Add build script for RPMs
  * .gitignore: update with fedora/rpm and git generated patches
  * .gitignore: Add aslcompiler.y

 -- Alex Hung <alex.hung@ubuntu.com>  Thu, 19 Jan 2017 12:19:10 +0800

fwts (16.12.00-0ubuntu1) zesty; urgency=low

  [Colin Ian King]
  * ACPICA: Update to version 20161117
  * fwts-test: sync up disassemble and syntaxcheck tests with ACPICA
  * acpica: s390x needs to be built as a 64 bit architecture
  * klog.json: Add a few more kernel errors to the database
  * klog.json: Update the klog database with more kernel patterns

  [Deb McLemore]
  * opal: pci_info: Add OPAL PCI Info validation
  * opal: mem_info: Add OPAL MEM Info validation
  * opal: cpu_info: Add OPAL CPU Info validation
  * devicetree: dt_sysinfo: Add OPAL firmware version checks
  * olog: olog.json: Update OPAL skiboot errors to check on olog scan

  [Fan Wu]
  * fwts:dmicheck: replace memcpy with fwts_memcpy_unaligned

  [Ivan Hu]
  * securebootcert: add variable AuditMode checking
  * securebootcert: add variable DeployedMode checking

 -- Ivan Hu <ivan.hu@ubuntu.com>  Wed, 21 Dec 2016 09:26:40 +0800

fwts (16.11.00-0ubuntu1) zesty; urgency=low

  [Colin Ian King]
  * ACPICA: Update to version 20160930
  * fwts-test: disassemble-0001: sync output to latest ACPICA changes

