=== debian/changelog ===
fwts (18.03.00-0ubuntu5) bionic; urgency=medium

  * Kernel 5.3 compatibility in ppc64el (LP: #1849570)
    - debian/patches/0009-efi_runtime-fix-gcc-warning-for-efi_runtime_reset_sy.patch
    - debian/patches/0010-efi_runtime-enable-KBUILD_MODPOST_WARN-y-to-workarou.patch

 -- Marcelo Henrique Cerri <marcelo.cerri@canonical.com>  Sat, 16 Nov 2019 06:44:35 -0300

fwts (18.03.00-0ubuntu4) bionic; urgency=medium

  [Colin Ian King]
  * efi_runtime: fix access_ok build issues on 5.0 kernels (LP: #1813059)
    - add Linux 5.0 compat fix to access_ok to fix dkms build issue

 -- Colin Ian King <colin.king@canonical.com>  Thu, 24 Jan 2019 09:25:11 +0000

fwts (18.03.00-0ubuntu3) bionic; urgency=medium

  * cpufreq: fix fwts_set paths (LP: #1786446)
    - upstream fwts commit b1593c337b44, corrects
      cpu path that had arguments swapped in cpufreq
      test.

 -- Colin Ian King <colin.king@canonical.com>  Fri, 10 Aug 2018 10:52:12 +0100

fwts (18.03.00-0ubuntu2) bionic; urgency=medium

  * enable PM debug messages for S3 + S4 (LP: #1772563)
    - kernels may have pm debug disabled, so force this on during S3/S4
      tests. Patches from upstream fwts

 -- Colin Ian King <colin.king@canonical.com>  Tue, 12 Jun 2018 14:20:11 +0100

fwts (18.03.00-0ubuntu1) bionic; urgency=medium

  [Alex Hung]
  * klog.json: change severity for AE_ALREADY_EXISTS errors
  * fwts-test: sync up with AE_ALREADY_EXISTS errors
  * dmi: dmicheck: add chassis type for Type 3

  [Colin Ian King]
  * ACPICA: Update to version 20180313

  [Deb McLemore]
  * olog:olog.json: Update OPAL skiboot errors to check on olog scan

  [Ivan Hu]
  * uefirtauthvar: remove test with EFI_VARIABLE_AUTHENTICATED_WRITE_ACCESS

 -- Alex Hung <alex.hung@ubuntu.com>  Wed, 21 Mar 2018 00:08:40 -0700

fwts (18.02.00-0ubuntu1) bionic; urgency=medium

  [Alex Hung]
  * acpi: acpiinfo: add acpi 6 to acpiinfo test
  * acpi: method: check one element in _TSD only for acpi 6.2+
  * acpi: spcr: update interface types based on DBG2
  * fwts-test: sync up with revision update in 9da9d5a5
  * acpi: method: allow _WAK to return an integer

  [Colin Ian King]
  * mkpackage.README: change urgency level to medium
  * lib: fwts_log: remove redundant initialization of ptr1
  * acpi: wmi: remove redundant initialization of 'info'
  * lib: fwts_log: remove redundant initialization of 'field'
  * lib: fwts_pipeio: remove variable status
  * lib: fwts_acpi_tables: remove redundant initialization to 'result'
  * ACPICA: Update to version 20180209
  * fwts-test/syntaxcheck-0001: sync up output with current ACPICA

  [Deb McLemore]
  * README: Add dependencies per Platform

  [Ivan Hu]
  * auto-packager: mkpackage.sh: remove zesty
  * uefirtvariable: modify both authenticated attributes setting test
  * uefirtvariable: add test for EFI_VARIABLE_AUTHENTICATED_WRITE_ACCESS
    attribute

  [Jeffrey Hugo]
  * acpi: fadt: Fix FACS checking
  * acpi: iort: Update revision checking

 -- Ivan Hu <ivan.hu@ubuntu.com>  Tue, 27 Feb 2018 10:53:06 +0800

fwts (18.01.00-0ubuntu1) bionic; urgency=low

  [Alex Hung]
  * acpi: LPIT: check for monotonically increasing UID
  * fwts-test: sync up with changes in lpit test

  [Colin Ian King]
  * Treewide: update copyright year to 2018
  * fwts-test: arg-help: sync up with copyright year changes
  * ACPICA: Update to version 20180105
  * acpica: fix linking issues when building non ACPI builds
  * lib: fwts-battery: use PRIu32 format specifier, fixes cppcheck warning
  * acpi: acpidump: move declaration to before statements, add blank lines
  * lib: fwts_safe_mem: don't perform void * pointer arithmetic, fix 32 bit end
  * lib: fwts_alloc: move 'pos' to a deeper scope, minor style change
  * opal: reserve_mem: remove redundant initialization of pointer p
  * opal: reserve_mem: remove unused variable 'i' and move scope of variable
    'value'
  * sbbr: rsdp: remove redundant initialization of boolean 'signature_pass'
  * acpi: madt: move scope of boolean 'passed'
  * acpi: pptt: move scope of index variable 'i'.
  * acpi: rasf: move scope of index variable 'i'
  * sbbr: acpitables: clean up code, move scope of some variables
  * acpi: erst: cast size to uint64_t to clean up static analysis warning
  * uefi: uefidump: clean up some static analysis warnings

  [Ivan Hu]
  * securebootcert: add checking read-only for the AuditMode and DeployedMode
  * securebootcert: move to UNSAFE category

 -- Ivan Hu <ivan.hu@ubuntu.com>  Thu, 25 Jan 2018 13:44:38 +0800

fwts (17.12.00-0ubuntu1) bionic; urgency=low

  [Alex Hung]
  * acpi: tpm2: update spec url

  [Colin Ian King]
  * trival: make read only const strings static
  * ACPICA: Update to version 20171215

  [Jeffrey Hugo]
  * acpi: bert: remove confusing warning

  [Ricardo Neri]
  * acpi: madt: only inspect Local APIC/x2APIC/SAPIC tables if enabled

  [Sakar Arora]
  * dmicheck: sbbr: make some SMBIOS structs optional
  * acpi: dbg2: sbbr: allow PL011 UART as a valid subtype
  * acpi: spcr: sbbr: IOAPIC is valid interrupt type
  * acpi: sbbr: relax a few test pass conditions

 -- Alex Hung <alex.hung@ubuntu.com>  Wed, 20 Dec 2017 16:23:05 +0800

fwts (17.11.00-0ubuntu1) bionic; urgency=low

  [Alex Hung]
  * lib: move and rename helper functions from method.c
  * acpi: devices: add a new test for ACPI AC adapter device
  * acpi: devices: add a new test for ACPI battery device
  * acpi: devices: add a new test for smart battery device
  * lib: move _CRS helper functions from method.c
  * acpi: devices: add a new test for acpi ec device
  * acpi: devices: print device name in acpi_ac test
  * acpi: devices: deiniit acpica when tests are skipped
  * acpi: devices: add new tests for power and sleep button devices
  * acpi: sync up _BIX test in method to acpi_battery tests
  * acpi: fadt: ACPI 6.2 explicitly states 64-bit supersedes 32-bit
  * acpi: madt: check GICD's system vector according to mantis 1819 (ACPI
    6.2a)

