=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Firmware Testing Team <fwts-devel@lists.ubuntu.com>
 Uploaders: Colin King <colin.king@ubuntu.com>, Alex Hung <alex.hung@canonical.com>, Ivan Hu <ivan.hu@canonical.com>
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Build-Depends: debhelper (>= 7.0.50~), autoconf, automake, libtool, libjson0-dev | libjson-c-dev (>= 0.9), flex, bison, dh-autoreconf, dkms, libglib2.0-dev, pkg-config, libfdt-dev
 
 Package: fwts
@@ -11,8 +11,8 @@
 Depends: libfwtsiasl1 (= ${binary:Version}), libfwtsacpica1 (= ${binary:Version}), libfwts1 (= ${binary:Version}), fwts-efi-runtime-dkms (= ${binary:Version}) [amd64] , ${shlibs:Depends}, ${misc:Depends}, pciutils, device-tree-compiler [ppc64el powerpc]
 Suggests: dmidecode
 Description: FirmWare Test Suite
- This is a firmware test suite that performs sanity checks on Intel/AMD 
- PC firmware. It is intended to identify BIOS and ACPI errors and 
+ This is a firmware test suite that performs sanity checks on system
+ firmware. It is intended to identify BIOS and ACPI errors and 
  if appropriate it will try to explain the errors and give advice to 
  help workaround or fix firmware bugs.  It is primarily intended to 
  be a Linux-centric firmware troubleshooting tool.
@@ -47,7 +47,7 @@
 Package: fwts-frontend
 Architecture: i386 amd64 armel armhf arm64 ppc64 ppc64el s390x
 Priority: optional
-Depends: ${shlibs:Depends}, ${misc:Depends}, dialog, fwts
+Depends: ${misc:Depends}, dialog, fwts
 Description: Firmware Test Suite frontend interface
  This is a dialog based interface designed to provide an easy to use method
  to execute tests via Firmware Test Suite and is also used as the primary 
@@ -56,7 +56,7 @@
 Package: fwts-efi-runtime-dkms
 Architecture: i386 amd64 armel armhf arm64 ppc64 ppc64el
 Priority: optional
-Depends: ${shlibs:Depends}, ${misc:Depends}, dkms
+Depends: ${misc:Depends}, dkms
 Description: Firmware Test Suite UEFI Runtime Service kernel driver
  This package provides the efi_runtime kernel driver in DKMS format,
  which is required for accessing UEFI Runtime Services.
