=== debian/changelog ===
fwts (19.03.00-0ubuntu1) disco; urgency=medium

  [Alex Hung]
  * acpi: madt: Add support for ACPI 6.3
  * fwts-test: sync up with SMMU model updates
  * lib: fwts_acpi_tables: add a new function to check reserved values
  * lib: fwts_acpi_tables: rename fwts_acpi_subtable_length_check
  * srat: replace structure length checks by fwts_acpi_structure_length_check
  * acpi: refactor all table length checks to fwts_acpi_table_length_check
  * README: update installing fwts by "sudo make install"

  [Ard Biesheuvel]
  * acpi/fadt: reject 5.0 tables with ARM specific attributes set
  * acpi/iort: permit SMMU model values of 4 and 5
  * acpi/iort: fix error in SMMU node length check

  [Colin Ian King]
  * ACPICA: fix IASL building issues with gcc-9 and --as-needed linker option
  * fwts-test: sync up output to new IASL output defaults

 -- Ivan Hu <ivan.hu@ubuntu.com>  Wed, 20 Mar 2019 15:32:10 +0800

fwts (19.02.00-0ubuntu1) disco; urgency=medium

  [Alex Hung]
  * acpi: fix a typo in comment
  * klog.json: add an "IOAPIC .. not in IVRS" message
  * utilities: kernelscan: add AMD iommu for IVRS errors
  * acpi/method: check levels on full power and battery power
  * acpi: add address space types according to mantis 1965 (ACPI 6.2b)
  * acpi/pptt: check flags by revision (mantis 1870 for ACPI 6.2b)
  * acpi: pdtt: update flags defintion according to mantis 1867 (ACPI 6.3)
  * fwts-test: update regression test for PDTT
  * acpi/nfit: update memory mapping attributes (mantis 1873 for ACPI 6.3)
  * acpi/hmat: update for hmat revision 2 (mantis 1914 for ACPI 6.3)
  * fwts-test: update test for HMAT revision 2
  * acpi/madt: remove two reserved bytes (mantis 1934 for ACPI 6.3)
  * acpi/madt: update for Local APIC Flags (mantis 1948 for ACPI 6.3)
  * acpi/hmat: update System Locality Latency (mantis 1959 for ACPI 6.3)
  * fwts-test: update test for HMAT changes
  * acpi/method: add tests for NVDIMM control methods for ACPI 6.3
  * fwts-test: update method test for NVDIMM methods
  * acpiinfo: update ACPI and ACPICA versions
  * acpi/srat: add test for Generic Initiator (mantis 1904 for ACPI 6.3)

  [Colin Ian King]
  * efi_runtime: fix access_ok build issues on 5.0 kernels
  * fwts: fix up a handful of spelling mistakes
  * ACPICA: Update to version 20190215
  * fwts-test: update test output to be in sync with ACPICA 20190215
  * Makefiles: workaround address-of-packed-member warnings with gcc-9
  * acpica: utdecode: fix missing comma in array declaration AcpiGbl_GenericNotify

 -- Alex Hung <alex.hung@ubuntu.com>  Tue, 19 Feb 2019 10:32:21 +0100

fwts (19.01.00-0ubuntu1) disco; urgency=medium

  [Alex Hung]
  * mtrr: check memory type above 4GB on AMD platforms
  * dmi: dmicheck: remove redundant new lines
  * dsddump: add utility to dump _DSDD (Device Specific Data)
  * lib: fwts_ac_adapter: fix readdir(ac_power_dir) failing
  * lib: fwts_ac_adapter: fix failing to find AC directory

  [Colin Ian King]
  * Update copyright year to 2019
  * ACPICA: Update to version 20190108
  * mtrr: fix incorrect mask on amd_sys_conf
  * sbbr: fadt: clean up major/minor version checking
  * acpi/madt: clean up indentation issue, remove tab

  [Ivan Hu]
  * lib: fw_pm_method: move the sleep t_start time out of logind_on_signal (LP: #1809096)

 -- Alex Hung <alex.hung@ubuntu.com>  Tue, 15 Jan 2019 19:57:23 -0800

fwts (18.12.00-0ubuntu1) disco; urgency=medium

  [Alex Hung]
  * mtrr: allow uncached type for PCI prefetchable memory

  [Colin Ian King]
  * ACPICA: Update to version 20181213
  * fwts-test: disassemble-0001: sync output with updated ACPICA

  [Leif Lindholm]
  * lib: disable /dev/mem access on aarch64
  * dmicheck: drop unaligned memcpy
  * lib: drop fwts_memcpy_unaligned
  * dmicheck: use dmi_load_file in preference to fwts_mmap

 -- Ivan Hu <ivan.hu@ubuntu.com>  Wed, 19 Dec 2018 16:20:41 +0800

fwts (18.11.00-0ubuntu1) disco; urgency=medium

  [Alex Hung]
  * acpi: button: check fixed hardware & control method power buttons

  [Colin Ian King]
  * kernelscan: add -k option to specify klog json filename
  * ACPICA: Update to version 20181003
  * fwts-test: sync with ACPICA update to 20181003
  * README: update package dependency notes for RHEL
  * acpica: fix linker issues when building with ACPI disabled
  * ACPICA: Update to version 20181031
  * src/lib: add module probing helper functions
  * lib: fwts_efi_module: use the new module loading helper functions
  * lib/fwts_cpu: use new use the new module loading helper functions
  * snapcraft: update confinement and plugs
  * lib: fwts_coreboot_cbmem: don't use void * pointer arithmetic
  * lib: fwts_coreboot_cbmem: shift UL values rather than signed int values
  * lib: fwts_log: shift UL values rather than signed int values
  * acpi: syntaxcheck: rename syntaxcheck_table to syntaxcheck_single_table

  [Deb McLemore]
  * olog:olog.json: Update OPAL skiboot errors to check on olog scan

  [Ivan Hu]
  * dmicheck: fix Maximum Capacity checking range
  * ACPICA: Update to version 20180927
  * fwts-test: sync with ACPICA update to 20180927
  * mcfg: fix MMIO config space checking
  * madt: fix the Local APIC NMI processor UID checking
  * auto-packager: mkpackage.sh: add disco

 -- Ivan Hu <ivan.hu@ubuntu.com>  Wed, 14 Nov 2018 14:53:29 +0800
